<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2022 Workiva-->
<!--r:3e86f01b-36c4-4a5a-ba29-ee233607cf31,g:b215c27f-622e-4722-aba0-6d2b6a8f9a90-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:btplc="http://bt.com/20220331" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://bt.com/20220331">
  <xs:import namespace="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor" schemaLocation="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd"/>
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-gen-en.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="549300OWFMSO9NYV4H90-2022-03-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="549300OWFMSO9NYV4H90-2022-03-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="549300OWFMSO9NYV4H90-2022-03-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="549300OWFMSO9NYV4H90-2022-03-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="TagsthatmustbeappliedifcorrespondinginformationispresentinareportDetails" roleURI="http://bt.com/role/TagsthatmustbeappliedifcorrespondinginformationispresentinareportDetails">
        <link:definition>400401 - Tags that must be applied if corresponding information is present in a report (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" roleURI="http://bt.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement">
        <link:definition>1001001 - Statement - Statement of comprehensive income, profit or loss, by function of expense (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" roleURI="http://bt.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement">
        <link:definition>1002002 - Statement - Statement of comprehensive income, OCI components presented net of tax (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementoffinancialpositioncurrentnoncurrentStatement" roleURI="http://bt.com/role/StatementoffinancialpositioncurrentnoncurrentStatement">
        <link:definition>1403402 - Statement - Statement of financial position, current/non-current (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofchangesinequityStatement" roleURI="http://bt.com/role/StatementofchangesinequityStatement">
        <link:definition>1404403 - Statement - Statement of changes in equity (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofchangesinequityParenthesis" roleURI="http://bt.com/role/StatementofchangesinequityParenthesis">
        <link:definition>1405404 - Statement - Statement of changes in equity (Parenthesis)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcashflowsindirectmethodStatement" roleURI="http://bt.com/role/StatementofcashflowsindirectmethodStatement">
        <link:definition>1406405 - Statement - Statement of cash flows, indirect method (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcashflowsindirectmethodParenthesis" roleURI="http://bt.com/role/StatementofcashflowsindirectmethodParenthesis">
        <link:definition>1407406 - Statement - Statement of cash flows, indirect method (Parenthesis)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://bt.com/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="btplc_SpecificItemsMember" abstract="true" name="SpecificItemsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="btplc_PensionDeficitPayment" abstract="false" name="PensionDeficitPayment" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_CashOutflowForChangesInOwnershipInterestInSubsidiariesd" abstract="false" name="CashOutflowForChangesInOwnershipInterestInSubsidiariesd" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_GroupIncomeStatementMember" abstract="true" name="GroupIncomeStatementMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors" abstract="false" name="CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_GroupIncomeStatementAxis" abstract="true" name="GroupIncomeStatementAxis" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:dimensionItem" type="xbrli:stringItemType"/>
  <xs:element id="btplc_AdjustmentsForIncreaseDecreaseInContractAssetsAnchors" abstract="false" name="AdjustmentsForIncreaseDecreaseInContractAssetsAnchors" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_AdditionToPropertyPlantAndEquipmentAndSoftware" abstract="false" name="AdditionToPropertyPlantAndEquipmentAndSoftware" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_BankOverdraftsExcludedFromCashAndCashEquivalents" abstract="false" name="BankOverdraftsExcludedFromCashAndCashEquivalents" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_SpecificItemsTable" abstract="true" name="SpecificItemsTable" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:hypercubeItem" type="xbrli:stringItemType"/>
  <xs:element id="btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights" abstract="false" name="AdjustmentsForDecreaseIncreaseInProgrammeRights" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors" abstract="false" name="ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_BeforeSpecificItemsMember" abstract="true" name="BeforeSpecificItemsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" abstract="false" name="NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities" abstract="false" name="AdjustmentsForDecreaseIncreaseInContractLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_PrepaymentsInRespectOfSpectrumAnchors" abstract="false" name="PrepaymentsInRespectOfSpectrumAnchors" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors" abstract="false" name="AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_TransferredFromToTheIncomeStatement" abstract="false" name="TransferredFromToTheIncomeStatement" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" abstract="false" name="PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_MovementInCapitalAccruals" abstract="false" name="MovementInCapitalAccruals" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
</xs:schema>
